Bug 1445194 - [3.4] Installer fails to add/check iptables rule due to lock on xtables
Summary: [3.4] Installer fails to add/check iptables rule due to lock on xtables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.z
Assignee: Scott Dodson
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1415800
Blocks: 1445282
TreeView+ depends on / blocked
 
Reported: 2017-04-25 08:46 UTC by Paul Dwyer
Modified: 2017-05-17 17:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the installer may have failed to add iptables rules if other iptables rules were being updated at the same time. Now the installer waits to obtain a lock when updating iptables rules ensuring that rules are properly created.
Clone Of:
: 1445282 (view as bug list)
Environment:
Last Closed: 2017-05-17 17:40:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Description Paul Dwyer 2017-04-25 08:46:09 UTC
Description of problem:
Backport fix for bz1415800 to Openshift Container Platform 3.4

Version-Release number of selected component (if applicable):
OSCP3.4

Requesting backport of the change to 3.4 in the installer so the installer waits to obtain a lock when updating iptables rules ensuring that rules are properly created

I have not found any existing bugzilla to get this change backported into 3.4

Comment 4 Wenkai Shi 2017-05-02 03:32:16 UTC
Verified with version openshift-ansible-3.4.80-1.git.0.4eee9b7.el7.noarch. During installation, run a while loop of iptables command on hosts, installer will be slow down at "TASK [os_firewall : Add iptables allow rules]" step, once stop the while loop, installer continue with normal speed.

[root@master ~]# while true; do iptables -nL; done
...

[root@ansible ~]# ansible-playbook -i hosts -v /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml
...
TASK [os_firewall : Add iptables allow rules] **********************************
...
(slow down here during the "while loop" alive)
...

Comment 6 errata-xmlrpc 2017-05-17 17:40:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.